
// Primitive types in the interface are changed to their wrapper type
// to make serialization of parameters and return values easier.
public interface CalculatorService {

    // A simple operation to add two integer numbers.
    Integer add(Integer a, Integer b);

    // A second operation which computes the square root of a number.
    // If the operand is negative, it throws a CalculatorServiceException.
    Double sqrt(Double a) throws CalculatorServiceException;

}
