
import java.util.logging.Level;
import java.util.logging.Logger;


public class ClientMain {

    public static void main(String[] args) {
        CalculatorService service = CalculatorServiceLocator.getService();

        System.out.println("Addition result: " + service.add(10, 20));

        try {
            System.out.println("Square root result: " + service.sqrt(2.0));

            // Test service exception
            System.out.println("Square root result: " + service.sqrt(-1.0));
        } catch (CalculatorServiceException ex) {
            Logger.getLogger(ClientMain.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
