package objects;
import java.io.Serializable;

import lombok.Data;

@Data
public class FontSettings implements Serializable {
	private static final long serialVersionUID = 7757376227637315235L;

	// The access modifier does not affect the serialization
	public int fontSize;
	protected String fontFamily;
	private boolean isBold;

	// A no-arg constructor is not needed until this class is not a
	// non-serializable parent of a serializable class, or until this
	// class implements the java.io.Externalizable interface.
	public FontSettings(String fontFamily) {
		this.fontFamily = fontFamily;
	}
}
