package variants;
import java.io.IOException;
import java.io.ObjectInputStream;

import objects.Document;
import utils.SavePaths;
import utils.Util;

public class MainRestoreDocument {
	public static void main(String... args) throws IOException, ClassNotFoundException {
		Document document = readDocument();
		
		System.out.println("Restored document: " + document);
	}

	private static Document readDocument() throws IOException, ClassNotFoundException {
		try (
			ObjectInputStream ois = Util.getInputStream(SavePaths.DOCUMENT_PATH);
		) {
			// Explicit cast needed
			return (Document)ois.readObject();
		}
	}

}
