package example.jdbc_rmi.api;

import java.io.Serializable;

import lombok.Value;

//Represents the result of a user login operation.
@Value
public class LoginResult implements Serializable {
	private static final long serialVersionUID = -865672410310384712L;

	public enum Outcome { SUCCESSFUL, INVALID_CREDENTIALS, INTERNAL_ERROR }

    private final Outcome outcome;
    private final String message;
}
