package variants;
import java.io.IOException;
import java.io.ObjectInputStream;

import objects.Settings;
import utils.SavePaths;
import utils.Util;

public class MainRestoreSettings {
	public static void main(String... args) throws IOException, ClassNotFoundException {
		Settings s = readSettings();
		System.out.println("Restored settings: " + s);
	}

	private static Settings readSettings() throws IOException, ClassNotFoundException {
		try (
			ObjectInputStream ois = Util.getInputStream(SavePaths.SETTINGS_PATH);
		) {
			// Explicit cast needed
			return (Settings)ois.readObject();
		}
	}

}
