package example;

import static javax.jws.soap.SOAPBinding.ParameterStyle.WRAPPED;
import static javax.jws.soap.SOAPBinding.Use.ENCODED;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;

@WebService
@SOAPBinding(style=Style.RPC, use=ENCODED, parameterStyle=WRAPPED)
public interface Calculator {

	@WebMethod
	int add(@WebParam(name="x") int a, @WebParam(name="y") int b);
	
	@WebMethod
	@WebResult(name="squareRoot")
	double sqrt(double a);
	
}
